package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.ProjectAnnex;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface ProjectAnnexMapper {
    /*
    * 新增项目附件
    * */
    void insertProjectAnnex(ProjectAnnex projectAnnex);
    /*
     * 根据项目id查询项目附件
     * */
    List<ProjectAnnex> selectProjectAnnexListByProjectId(Long projectId);
    /*
     * 批量插入项目附件
     * */
    void batchInsertProjectAnnexes(@Param("projectAnnexes") List<ProjectAnnex> projectAnnexes);

    /*
     * 删除项目附件
     * */
    void deleteProjectAnnexesByProjectId(Long projectId);
}
